require 'dmao_api'
require 'dmao/ingesters/generic/ingester'
require 'dmao/ingesters/errors/ingest_funder_error'

module DMAO
  module Ingesters
    module Generic

      class FundersIngester< Ingester

        ENTITY = DMAO::API::Funder
        ENTITY_ERROR = DMAO::Ingesters::Errors::IngestFunderError
        INVALID_ENTITY_ERROR = DMAO::API::Errors::InvalidFunder
        ENTITY_ERROR_MESSAGE = "Invalid funder details"

      end

    end
  end
end