require 'dmao_api'
require 'dmao/api/person'
require 'time'
require 'dmao/ingesters/generic/ingester'
require 'dmao/ingesters/errors/generic_ingester'
require 'dmao/ingesters/errors/empty_attributes'
require 'dmao/ingesters/errors/ingest_person_error'

module DMAO
  module Ingesters
    module Generic

      class PeopleIngester < Ingester

        ENTITY = DMAO::API::Person
        ENTITY_ERROR = DMAO::Ingesters::Errors::IngestPersonError
        INVALID_ENTITY_ERROR = DMAO::API::Errors::InvalidPerson
        ENTITY_ERROR_MESSAGE = "Invalid person details"

      end

    end
  end
end